package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * DeleteDigitMapProfileEntity
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class DeleteDigitMapProfileEntity   {
  @JsonProperty("profileId")
  private String profileId;

  @JsonProperty("skipConfirm")
  private Boolean skipConfirm;

  public DeleteDigitMapProfileEntity profileId(String profileId) {
    this.profileId = profileId;
    return this;
  }

  /**
   * Profile ID. Default digit map profile cannot be deleted.
   * @return profileId
  */
  @ApiModelProperty(required = true, value = "Profile ID. Default digit map profile cannot be deleted.")
  @NotNull


  public String getProfileId() {
    return profileId;
  }

  public void setProfileId(String profileId) {
    this.profileId = profileId;
  }

  public DeleteDigitMapProfileEntity skipConfirm(Boolean skipConfirm) {
    this.skipConfirm = skipConfirm;
    return this;
  }

  /**
   * skipConfirm indicates whether to skip the query of the devices bound to digit map profile. false: Not to skip the query. true: Skip the query and delete the digit map profile corresponding to the profileId.
   * @return skipConfirm
  */
  @ApiModelProperty(required = true, value = "skipConfirm indicates whether to skip the query of the devices bound to digit map profile. false: Not to skip the query. true: Skip the query and delete the digit map profile corresponding to the profileId.")
  @NotNull


  public Boolean getSkipConfirm() {
    return skipConfirm;
  }

  public void setSkipConfirm(Boolean skipConfirm) {
    this.skipConfirm = skipConfirm;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DeleteDigitMapProfileEntity deleteDigitMapProfileEntity = (DeleteDigitMapProfileEntity) o;
    return Objects.equals(this.profileId, deleteDigitMapProfileEntity.profileId) &&
        Objects.equals(this.skipConfirm, deleteDigitMapProfileEntity.skipConfirm);
  }

  @Override
  public int hashCode() {
    return Objects.hash(profileId, skipConfirm);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DeleteDigitMapProfileEntity {\n");
    
    sb.append("    profileId: ").append(toIndentedString(profileId)).append("\n");
    sb.append("    skipConfirm: ").append(toIndentedString(skipConfirm)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

